#
# spec file for package gnome-screensaver (Version 2.14.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-screensaver
BuildRequires:  dbus-1-devel gnome-common gnome-menus-devel gnutls-devel hal-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel libxslt mDNSResponder-devel openssl-devel pam-devel perl-XML-Parser update-desktop-files xscreensaver
Version:        2.14.0
Release:        19.56.32
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        GNOME Screen Saver and Locker
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
Source1:        gnome-screensaver-po.tar.bz2
Patch:          gnome-screensaver-suse-pam.diff
Patch4:         gnome-screensaver-stay-above.patch
Patch5:         gnome-screensaver-159513.patch
Patch6:         gnome-screensaver-unlock-dialog-size.patch
Patch7:         gnome-screensaver-disable-root-unlock.patch
Patch8:         gnome-screensaver-fix-timeout.patch
Patch9:         gnome-screensaver-LINGUAS_linebreak.patch
Patch10:        gnome-screensaver-160044-running-under-gdm.diff
Patch11:        gnome-screensaver-user-switch-ui.patch
Patch12:        gnome-screensaver-xvkbd-on-lock.patch
Patch13:        gnome-screensaver-early-passwd-helper-thoenig-03.patch
Patch14:        gnome-screensaver-linguas.patch
Patch15:        gnome-screensaver-xwindow-attributes.patch
Patch16:        gnome-screensaver-ignore-brightness.patch
Patch17:        gs-grab-x11.patch
Patch18:        gnome-screensaver-2.14.0-disable-help.patch
Patch19:        gnome-screensaver-372609-nis-security-fix.patch
Patch20:        gnome-screensaver-2.14-300992-logout-support.patch
Patch21:        gnome-screensaver-replace-time-by-uptime-in-watch.patch
Patch22:        gnome-screensaver-sync-x11-display.patch
Patch23:        gnome-screensaver-fr-translation.patch
Patch24:        gnome-screensaver-release-grab-not-blank.patch
Patch25:        gnome-screensaver-ad-user.patch
Patch26:        gnome-screensaver-fix-freeze-dialog.patch
AutoReqProv:    on
Requires:       /sbin/unix2_chkpwd xscreensaver
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

* the ability to lock down configuration settings

* translation into other languages

* user switching



Authors:
--------
    William Jon McCann <mccann@jhu.edu>

%prep
%setupi -a 1
%patch
%patch4
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9
%patch10 -p1
%patch11
%patch12 -p1
%patch13
%patch14
%patch15 -p1
%patch16
%patch17 -p1
%patch18 -p1
%patch19
%patch20 -p1
%patch21 -p1
%patch22 
%patch23
%patch24 -p1
%patch25 -p1
%patch26 -p0
rm po/no.*
sed "/ALL_LINGUAS=/,/^$/s/ no / /" configure.ac > configure.ac.tmp && mv configure.ac.tmp configure.ac

%build
# gnome-common intltool are needed only here
aclocal
automake -f -i
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
intltoolize --force
# NOTE: Set libexecdir the same as xscreensaver.
./configure\
	--prefix=/opt/gnome\
	--libdir=/opt/gnome/%_lib\
	--libexecdir=/opt/gnome/lib/%{name}\
	--sysconfdir=/etc/opt/gnome\
	--with-gdm-config=/etc/opt/gnome/gdm/gdm.conf\
	--with-pam-prefix=/etc\
	--with-passwd-helper="/sbin/unix2_chkpwd"\
	--with-xscreensaverdir=/etc/xscreensaver
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file gnome-screensaver-preferences GNOME Screensaver X-SuSE-ControlCenter-LookAndFeel
%find_lang %{name}
sh data/migrate-xscreensaver-config.sh /etc/xscreensaver/*.xml
rm bsod.desktop barcode.desktop blitspin.desktop bouncingcow.desktop decayscreen.desktop distort.desktop flipscreen3d.desktop fliptext.desktop glsnake.desktop jigsaw.desktop mirrorblob.desktop popsquares.desktop rotzoomer.desktop slidescreen.desktop sonar.desktop twang.desktop xanalogtv.desktop xflame.desktop xjack.desktop
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications/screensavers
mv *.desktop $RPM_BUILD_ROOT/opt/gnome/share/applications/screensavers

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-screensaver.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%config /etc/pam.d/gnome-screensaver
/etc/opt/gnome/gconf/schemas/gnome-screensaver.schemas
/etc/opt/gnome/xdg/menus/gnome-screensavers.menu
%dir /etc/opt/gnome/xdg
%dir /etc/opt/gnome/xdg/menus
/opt/gnome/bin/*
/opt/gnome/lib/%{name}
/opt/gnome/%_lib/pkgconfig/gnome-screensaver.pc
/opt/gnome/share/applications/*.desktop
%dir /opt/gnome/share/applications/screensavers
/opt/gnome/share/applications/screensavers/*.desktop
/opt/gnome/share/desktop-directories/gnome-screensaver.directory
%dir /opt/gnome/share/pixmaps/backgrounds
/opt/gnome/share/pixmaps/backgrounds/*
/opt/gnome/share/gnome-screensaver
/opt/gnome/share/pixmaps/gnome-logo-white.svg

%changelog
* Tue Jun 30 2009 mxwu@novell.com
- Add gnome-screensaver-fix-freeze-dialog.patch to fix
  freezing dialog when enable user-switch. fix bnc#301039.
* Thu Mar 19 2009 dliang@suse.de
- Enable gnome-screensaver-2.14-300992-logout-support.patch to
    fix bnc#470272
  Add gnome-screensaver-ad-user.patch to solve the conflict
    made in gnome-screensaver-372609-nis-security-fix.patch and
    the AD enviornment. (bnc#413554)
    gnome-screensaver-no-auth-2-times.patch is a PTF patch used to solve bnc#196307,
    gnome-screensaver-ad-user.patch solves bnc#196307 either, so we can drop
    gnome-screensaver-no-auth-2-times.patch now.
  Add gnome-screensaver-release-grab-not-blank.patch to correct
    a potencial problem make by gs-grab-x11.patch
  Add gnome-screensaver-sync-x11-display.patch to fix bnc#439550
  Add gnome-screensaver-fr-translation.patch
* Mon Oct 13 2008 pwu@suse.de
- Add patch gnome-screensaver-replace-time-by-uptime-in-watch.patch.
  Replace time (NULL) by reading /proc/uptime in gs-watcher-x11.c
  (fix bnc#367351)
* Tue May  6 2008 gekker@suse.de
- Disable gnome-screensaver-2.14-300992-logout-support.patch until
  after RC4
* Tue May  6 2008 rodrigo@suse.de
- Updated gnome-screensaver-372609-nis-security-fix.patch to
  include workaround for AD environment (bnc#383008)
* Thu Apr 24 2008 dliang@suse.de
- Add gnome-screensaver-2.14-300992-logout-support.patch to enable
  logout option. (bnc#300992)
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Fri Apr 11 2008 rodrigo@suse.de
- Added patch to fix NIS security bug (bnc#372609)
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Fri Feb 22 2008 mauro@suse.de
- Updated translations.
* Sat Feb 16 2008 mauro@suse.de
- Updated translations.
* Fri Jan 25 2008 jberkman@novell.com
- disable help button for capplet, as this help is missing (bugzilla #346626)
* Thu Nov 29 2007 gjhe@novell.com
-Added gs-grab-x11.patch to fix bug #339903
* Tue Oct 23 2007 cgaisford@novell.com
- Added patch to ignore the brightness keys on a thinkpad which
  were interrupting the screensaver
  Bugs: #334483, #334485, 334486 and possibly #287769
* Wed Sep 12 2007 rodrigo@suse.de
- Trap BadWindow errors to avoid crashed (SWAMP-ID 11883)
* Thu Sep  6 2007 rodrigo@suse.de
- Fixed memory corruption issues (SWAMP-ID 11883)
* Thu Aug 16 2007 rodrigo@suse.de
- Updated xvkbd patch to initialize X structures to avoid use of
  uninitialised values. (SWAMP-ID 11883)
* Mon Apr 16 2007 thoenig@suse.de
- Run external authentication helper early only in case of
  pam_thinkfinger being installed (update patch
  gnome-screensaver-early-passwd-helper-thoenig-03.patch, b.n.c
  [#263855])
* Fri Mar 30 2007 jhargadon@suse.de
- updated translations
* Mon Mar 19 2007 jhargadon@suse.de
- another round of translations
* Fri Feb 16 2007 jhargadon@suse.de
- updated translations from forgesvn1.novell.com
* Wed Feb 14 2007 thoenig@suse.de
- Add patch gnome-screensaver-early-passwd-helper-thoenig-01.patch:
  Execute the authentication helper early so that g-s can be
  unlocked by fingerprint authentication (b.n.c #244721, b.n.c
  [#244719])
* Mon Jan 15 2007 rodrigo@suse.de
- Run onscreen keyboard for screen lock (FATE #300346). Patch based
  on kdebase3's for bugzilla #213677.
* Fri Jan 12 2007 cgaisford@suse.de
- Added patch to clean up user switching UI.  The new UI
  shows users that are currently logged in.  (Fate #301166)
* Tue Jan  9 2007 federico@novell.com
- Added gnome-screensaver-160044-running-under-gdm.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=160044.  This will make
  the screensaver not prompt for a password when running under
  Sabayon.
* Tue Jan  9 2007 ro@suse.de
- fix build in sle10-sp1 by removing linebreak in ALL_LINGUAS
  in configure.ac
* Thu Nov  9 2006 rodrigo@suse.de
- Removed patch to enable switch users by default (#195338)
* Thu Nov  2 2006 rodrigo@suse.de
- Generate .desktop files for xscreensaver hacks at install time
  (#116331)
* Tue Oct 17 2006 rodrigo@suse.de
- Added patch from Fedora to prevent the screensaver to not detect
  correctly user's activity (#187924)
* Tue Aug 29 2006 rodrigo@suse.de
- Added patch to disable root's ability to unlock users'
  screensaver (#186204)
- Added missing build dependencies
* Mon Jun 19 2006 rodrigo@suse.de
- Removed last patch, which didn't fix 167510 and introduced a new
  bug (#185103)
* Thu May 25 2006 rodrigo@suse.de
- Added patch to lock the screen before signalling DBUS listeners
  that the screen saver is active. Thus, gnome-power-manager will
  start the suspend when the screensaver is active, avoiding seeing
  the screen fading out when resuming (167510)
* Mon May  8 2006 rodrigo@suse.de
- Added gnome-screensaver-unlock-dialog-size.patch to fix weird
  resizing of the users list (#170846)
* Wed Apr 26 2006 gekker@suse.de
- Fix incorrect indication of caps lock (#159513)
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Wed Apr 12 2006 danw@suse.de
- Fix the screensaver modules to not unset the fullscreen and
  keep_above flags, because compiz, unlike metacity, restacks
  the window in that case. #163931.
* Mon Mar 20 2006 ro@suse.de
- lib64 buildfix (pkgconfig is lib64)
* Tue Mar 14 2006 rodrigo@suse.de
- Updated to latest upstream version, which fixes #156754,
  [#134201].
- Improved regexp for no->nb_NO move.
* Wed Feb 22 2006 rodrigo@suse.de
- Updated to latest upstream version, which fixes #146434,
  [#148739], #119784. as well as others.
- Removed upstreamed patches.
* Mon Feb 20 2006 jpr@suse.de
- Don't abort if XFree86-VidModeExtension is not available (#152147)
* Mon Feb 13 2006 rodrigo@suse.de
- Removed extra g_free already present upstream (#148379).
* Mon Feb 13 2006 rodrigo@suse.de
- Use correct types for string formatting. Fixes #148379.
* Mon Feb  6 2006 rodrigo@suse.de
- Use correct UTF-8 strings. Fixes #146434.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 rodrigo@suse.de
- Updated to 0.0.25.
- Updated missing-icon patch to upstream changes.
- Some spec file fixes.
* Thu Nov 17 2005 rodrigo@suse.de
- Update to 0.0.20 release.
* Wed Nov 16 2005 rodrigo@suse.de
- Added gnome-screensaver-missing-icon.patch.
* Tue Nov 15 2005 rodrigo@suse.de
- Update to 0.0.19 release.
- Update PAM patch.
* Thu Oct 20 2005 rodrigo@suse.de
- Enable user switching by default.
* Tue Oct 18 2005 rodrigo@suse.de
- Update to version 0.0.16.
- Removed patch fixed upstream.
- Added rename of 'no' locale to 'nb_NO'.
* Tue Oct  4 2005 rodrigo@suse.de
- Require xscreensaver, so that default installation has more than
  just 2/3 screensavers.
* Thu Sep 15 2005 clahey@suse.de
- Update categories for desktop file.
- Part of fix for #115299.
* Tue Sep 13 2005 rodrigo@suse.de
- Update to version 0.0.13, which contains the two patches
  recently added (for #116331 and #114729) plus speed up when
  loading xscreensaver hacks.
* Mon Sep 12 2005 sbrabec@suse.cz
- Fixed xscreensaver hack directory (#116331).
* Mon Sep 12 2005 rodrigo@suse.de
- Updated kdm patch to fix all cases for #114729.
* Mon Sep 12 2005 rodrigo@suse.de
- Added xscreensaver to nfb so that we get the /etc/xscreensaver
  directory (#116331)
* Mon Sep 12 2005 rodrigo@suse.de
- Added gnome-screensaver-kdm.patch (#114729)
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 0.0.12.
* Tue Sep  6 2005 rodrigo@suse.de
- Update to version 0.0.11
* Wed Aug 31 2005 rodrigo@suse.de
- Update to version 0.0.10
- Removed upstreamead patch (#113355)
- Added flags to get the /etc/xscreensaver dir.
* Fri Aug 26 2005 rodrigo@suse.de
- Added gnome-screensaver-xscreensaver patch (#113355)
- Removed description patch, since it makes the dialog very ugly
  when displaying the huge list of xscreensaver hacks.
- Moved missing icon part of description patch to its own file.
* Thu Aug 25 2005 rodrigo@suse.de
- Removed pam for nfb.
* Thu Aug 25 2005 rodrigo@suse.de
- Updated to upstream 0.0.9.
- Add my patches in a separate file.
* Mon Aug 15 2005 rodrigo@suse.de
- Updated to CVS's 0.0.9 with all my uncommitted patches.
- Removed upstreamed patch.
* Fri Aug  5 2005 rodrigo@suse.de
- Don't depend on xscreensaver.
- Display icon for configuration to the control center (bug #102357)
* Wed Aug  3 2005 gekker@suse.de
- Update to version 0.0.8
* Tue Aug  2 2005 sbrabec@suse.cz
- Use hacks in its own directory.
* Tue Jul 26 2005 sbrabec@suse.cz
- Patch to share screensaver modules with xscreensaver.
* Tue Jul 19 2005 sbrabec@suse.cz
- Added --with-passwd-helper=/sbin/unix2_chkpwd (#96125).
* Mon Jul 11 2005 sbrabec@suse.cz
- Updated to version 0.0.7.
- Fixed PAM support (patch from Rodrigo Moya).
* Fri Jul  1 2005 sbrabec@suse.cz
- New SuSE package, version 0.0.5.
